## libexif 0.6.24

=== contrib/aolserver/Makefile ===
NSHOME   =  /home/aol31

EXIFDIR  = ..

#
# Module name
#
MOD      =  nsexif.so

#
# Objects to build
#
OBJS     =  nsexif.o

#
# Installation directory for data files
#
MODDIR   =  nsexif
MODLIBS  =  -L.. -lexif

CFLAGS += -I$(EXIFDIR)

include $(NSHOME)/include/Makefile.module
