=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Oskar Welzl <dev@welzl.info>
Build-Depends: debhelper (>> 5.0.0), dpatch
Standards-Version: 3.7.2


Package: libexif-dev
Section: libdevel
Architecture: any
Depends: libexif12 (= ${Source-Version}), libc6-dev
XSBC-Original-Maintainer: Frederic Peters <fpeters@debian.org>
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
XSBC-Original-Maintainer: Frederic Peters <fpeters@debian.org>
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif12-intl
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libexif12 (>= ${Source-Version})
Description: Locales for libexif
 Translations in German, Spanish, French, and Russian

Package: libexif-dbg
Section: libdevel
Architecture: any
Depends: libexif12 (= ${Source-Version})
Description: Debug information for libexif12
