=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

version=`ls libexif/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls libexif/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
                                                                                                                      
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mthumb
endif


configure: configure-stamp
configure-stamp: patch
	dh_testdir
	./configure $(confflags) CFLAGS="$(CFLAGS)" --prefix=/usr --disable-docs
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)

	touch build-stamp

patch: patch-stamp
patch-stamp:
	dpatch apply-all

clean: unpatch-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f po/libexif-$(major).pot
	-$(MAKE) distclean
	dh_clean

unpatch: unpatch-stamp
unpatch-stamp:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/libexif$(major)/usr
	mv $(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif \
		$(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif-dev
	rm $(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif-dev/AUTHORS
	rm $(CURDIR)/debian/libexif$(major)/usr/share/doc/libexif-dev/COPYING
	rm $(CURDIR)/debian/libexif$(major)/usr/lib/lib*.la

	# rm languages not in Maemo-UI
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/vi/
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/cs/
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/sk/
	rm -r $(CURDIR)/debian/libexif$(major)/usr/share/locale/pl/


	dh_movefiles --sourcedir=debian/libexif$(major)
	find debian -type d | xargs rmdir -p --ignore-fail-on-non-empty

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip --dbg-package=libexif-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
