## libexif 0.6.17-1maemo1+0m5

=== debian/changelog ===
libexif (0.6.17-1maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Wed, 16 Sep 2009 17:06:22 +0300

libexif (0.6.17-1maemo1) unstable; urgency=low

  * Fixes: NB#117017 - Not able to edit pictures taken from camera in some of
    the editors
  * Added a patch that fixes ISO speed rating
  * Changed debian/patches/* to work with CDBS
  * Changed debian packaging to work with Maemo

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 15 Sep 2009 12:34:20 +0300

libexif (0.6.17-1) unstable; urgency=low

  * Adopt the package within pkg-phototools:
    - Set the Maintainer to the group
    - Add Frederic Peters and myself as Uploaders.
    - Add Vcs-Browser and Vcs-Git fields accordingly.
  * New upstream release:
    - remove patches merged upsteam:
      + 30_olympus_makernote.dpatch
      + 40_crash_looking_up_invalid_values.dpatch
      + 50_relibtoolize.dpatch
      + CVE-2007-6351.dpatch
      + CVE-2007-6352.dpatch
    - convert existing patches from dpatch to quilt.
    - Fix a bug while reading exif datas in some cases (Closes: #447907)
  * Switch packaging to debhelper 7
  * Update debian/control:
    - Drop duplicate section field for exif12
    - Bump Standards-Version to 3.8.1
    - Replace deprecated ${Source-Version} by ${binary:Version}
    - Enhance libexif-dev long description.
    - Add homepage field.
    - Add DM-Upload-Allowed field.
  * Force remove of files not fully cleaned
  * Remove empty doc files in libexif-dev.
  * Update debian/copyright.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sun, 19 Apr 2009 17:53:15 +0200
