=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>, Emmanuel Bouthenot <kolter@openics.org>
Build-Depends: debhelper (>= 5.0.42), quilt, autotools-dev, doxygen, graphviz
Standards-Version: 3.8.1
Homepage: http://libexif.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libexif.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/libexif.git
DM-Upload-Allowed: yes

Package: libexif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexif12 (= ${binary:Version}), libc6-dev
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development files.

Package: libexif12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
