=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUGFLAGS = --enable-debug
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_STRIP_ARGS := --dbg-package=libexif12-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --disable-nls $(DEBUGFLAGS)

DEB_DH_MAKESHLIBS_ARGS_ALL += -- -c4
