## libexif 0.6.17-1maemo3+0m5

=== debian/changelog ===
libexif (0.6.17-1maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 17 Dec 2009 11:53:17 +0200

libexif (0.6.17-1maemo3) unstable; urgency=low

  * Fixes NB#144529 - Libexif uses too much time processing a captured image

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 28 Oct 2009 14:34:40 +0200

libexif (0.6.17-1maemo2) unstable; urgency=low

  * Added a patch which optimizes tag lookup performance
  * partially fixes bug 121598

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 23 Oct 2009 11:47:25 +0300
