## libexif 0.6.20

=== debian/changelog ===
libexif (0.6.20-3) unstable; urgency=high

  * Add patches to fix multiples security issues: CVE-2012-2814,
    CVE-2012-2840, CVE-2012-2813, CVE-2012-2812, CVE-2012-2841,
    CVE-2012-2836, CVE-2012-2837 (Closes: #681454).

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 17 Jul 2012 19:05:20 +0000

libexif (0.6.20-2) unstable; urgency=low

  [ Kees Cook ]

  * debian/copyright: fix empty lines in multi-line section, add missing
    intended "license" lines, add missing BSD license for pt_BR.po.
  * debian/libexif-dev.install:
    - use multiple lines instead of technically unsupported {}.
    - remove .la file, per release goal; there are no build dep using it.
  * debian/{control,compat,*.install,rules}: build for Multi-Arch support
    (Closes: #650998)

  [ Emmanuel Bouthenot ]

  * Bump Standards-Version to 3.9.2
  * Remove DMUA field (no more needed)
  * Update debian/rules to enable usage of autotools_dev sequence with
    debhelper
  * Switch debhelper compatibility to 9
  * Update Vcs-Git and Vcs-Browser fields

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 27 Jan 2012 20:34:17 +0000

libexif (0.6.20-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
     - updates (huge backlog)
     - switch to DEP5 format
  * Refresh patches and convert them to DEP3 format
  * Switch to dpkg-source 3.0 (quilt) format
  * Update uploader email (me)
  * Bump Standards-Version to 3.9.1
  * Add a patch to support new Canon camera. Thanks to Adrian von Bidder for
    the patch. Rest In Peace Adrian. (Closes: #617764).

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 27 Apr 2011 18:17:43 +0000

libexif (0.6.19-1) unstable; urgency=high

  * New upstream release
    - fix CVE-2009-3895: heap buffer overflow during tag format conversion
      (Closes: #557137)

 -- Emmanuel Bouthenot <kolter@openics.org>  Thu, 19 Nov 2009 22:38:27 +0000

libexif (0.6.18-1) unstable; urgency=low

  * New upstream release
  * Clean and minify the build process (using dh7 overrides)
  * Bump Standards-Version to 3.8.3.
  * Add README.source file.
  * Add doc-base file for libexif API documentation.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sat, 24 Oct 2009 09:29:24 +0200
