=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 8.1.3~), autotools-dev, doxygen, graphviz
Standards-Version: 3.9.2
Homepage: http://libexif.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/libexif.git
Vcs-Git: git://anonscm.debian.org/pkg-phototools/libexif.git

Package: libexif-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, ${misc:Depends}, libexif12 (= ${binary:Version}), libjs-jquery
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development files.

Package: libexif12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
