=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	# remove JQuery embedded copy
	rm -f debian/libexif-dev/usr/share/doc/libexif-dev/libexif-api.html/jquery.js
	# Install pkgconfig file in full triplet directory.
	install -D -m 644 libexif.pc debian/libexif-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libexif.pc
	dh_install

# Upstream sources contains a directory named 'binary'
# which breaks the build, the following rule fix it
binary: binary-arch binary-indep

%:
	dh $@ --with autotools_dev
