=== debian/watch ===
version=3
http://sf.net/libexif/libexif-([\d\.]*)\.tar\.gz
