=== debian/control ===
Source: libexif
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper-compat (= 12), doxygen, graphviz
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git

Package: libexif12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev, ${misc:Depends}, libexif12 (= ${binary:Version})
Recommends: libexif-doc (= ${binary:Version})
Description: library to parse EXIF files (development files)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development files.

Package: libexif-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Replaces: libexif-dev (<< 0.6.21-3~)
Breaks: libexif-dev (<< 0.6.21-3~)
Description: library to parse EXIF files (documentation)
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.
 .
 This package contains the development documentation.
