=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./g" \
  https://github.com/libexif/libexif/tags .*\/libexif-(\d\S+)-release\.tar\.gz
