## libexif 0.6.21.3

=== debian/changelog ===
libexif (0.6.21.3-1+eagle) unstable; urgency=medium

  * update

 -- Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>  Tue, 29 Dec 2020 13:57:37 +0800

libexif (0.6.21.3-1+eagle) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 28 Dec 2020 15:43:35 +0800

libexif (0.6.21-5.1+deb10u5) buster-security; urgency=medium

  * Add upstream patch to prevent compiler optimization of a buffer
    overflow check (fixes CVE-2020-0452).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 06 Nov 2020 23:15:26 +1100

libexif (0.6.21.2-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 31 Aug 2020 15:14:02 +0800

libexif (0.6.21-5.1+deb10u4) buster; urgency=medium

  * Add upstream patches to fix two security issues:
    - Fix a buffer read overflow in exif_entry_get_value() (CVE-2020-0182).
    - Fix an unsigned integer overflow in libexif/exif-data.c (CVE-2020-0198)
      (Closes: #962345).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 24 Jun 2020 23:31:09 +1000

libexif (0.6.21-5.1+deb10u3) buster; urgency=medium

  * Add upstream patches to fix multiple security issues:
    - cve-2020-13112.patch: Fix MakerNote tag size overflow issues at
      read time (CVE-2020-13112) (Closes: #961407).
    - cve-2020-13113.patch: Ensure MakerNote data pointers are
      NULL-initialized (CVE-2020-13113) (Closes: #961409).
    - cve-2020-13114.patch: Add a failsafe on the maximum number of
      Canon MakerNote subtags to catch extremely large values in tags
      (CVE-2020-13114) (Closes: #961410).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 25 May 2020 22:01:18 +1000

libexif (0.6.21-5.1+deb10u2) buster; urgency=medium

  [ Mike Gabriel ]
  * Sponsored upload.
  * debian/patches: Trivial rebase of various patches.

  [ Hugh McMaster ]
  * Team upload.
  * Add upstream patches to fix two security issues:
    - cve-2020-12767.patch: Prevent some possible division-by-zero errors
      in exif_entry_get_value() (CVE-2020-12767) (Closes: #960199).
    - cve-2020-0093.patch: Prevent read buffer overflow (CVE-2020-0093).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 May 2020 11:26:42 +0200

libexif (0.6.21-5.1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix out of bound write in exif-data.c (CVE-2019-9278) (Closes: #945948)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Feb 2020 21:43:18 +0100
