=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libexif
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
-Build-Depends: debhelper-compat (= 12), doxygen, graphviz
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Build-Depends:
+    debhelper (>= 11~),
+    doxygen,
+    graphviz
+Standards-Version: 4.1.3
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git
