## libexif 0.6.22

=== debian/changelog ===
libexif (0.6.22-3) unstable; urgency=medium

  * Add upstream patch to prevent compiler optimization of a buffer
    overflow check (fixes CVE-2020-0452).
  * Add Forwarded: not-needed to cve-2020-0198.patch.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 06 Nov 2020 23:01:25 +1100

libexif (0.6.22-2) unstable; urgency=medium

  * Add upstream patch to fix an unsigned integer overflow in
    libexif/exif-data.c (CVE-2020-0198) (Closes: #962345).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 13 Jun 2020 18:01:44 +1000

libexif (0.6.22-1) unstable; urgency=medium

  * New upstream version.
    - Support for certain EXIF 2.3 tags.
    - Multiple security fixes.
    - New and updated translations.
  * debian/copyright: Update for libexif 0.6.22.
  * debian/patches: Drop all patches. Upstream has fixed all known bugs.
  * debian/rules:
    - No longer include /usr/share/dpkg/architecture.mk.
    - Remove special handling for the 'binary' target. The problematic
      directory was renamed 'binary-dist' in this version of libexif.
  * libexif-dev: Install SECURITY.md.
  * libexif-doc: Drop dependency on libjs-jquery.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 02 Jun 2020 22:02:21 +1000

libexif (0.6.21-9) unstable; urgency=medium

  * Emmanuel Bouthenot has stepped down as an Uploader.
    - Thank you for maintaining libexif!
  * Add Hugh McMaster as an Uploader.
  * Add upstream patches to fix multiple security issues:
    - cve-2020-13112.patch: Fix MakerNote tag size overflow issues at
      read time (CVE-2020-13112) (Closes: #961407).
    - cve-2020-13113.patch: Ensure MakerNote data pointers are
      NULL-initialized (CVE-2020-13113) (Closes: #961409).
    - cve-2020-13114.patch: Add a failsafe on the maximum number of
      Canon MakerNote subtags to catch extremely large values in tags
      (CVE-2020-13114) (Closes: #961410).
  * Rebase other patches as needed.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 28 May 2020 23:23:33 +1000

libexif (0.6.21-8) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Extend Emmanuel Bouthenot's years of maintenance to 2014.
    - Add myself to the 'debian' section.
  * debian/patches/cve-2020-0093.patch:
    - Prevent a read buffer overflow in exif-data.c (CVE-2020-0093).
  * libexif-doc:
    - Do not remove the Doxygen-generated jquery.js file.
    - Do not symlink jquery.js to the equivalent system file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 20 May 2020 22:30:00 +1000

libexif (0.6.21-7) unstable; urgency=medium

  * Team upload.
  * Frederic Peters has stepped down as an Uploader. Thank you for your work!
  * debian/control:
    - Use debhelper-compat v13.
    - Update Uploaders field.
  * debian/copyright: Add information for files in contrib/examples.
  * debian/patches/cve-2020-12767.patch:
    - Prevent some possible divide-by-zero errors in exif-entry.c's
      exif_entry_get_value() function (CVE-2020-12767) (Closes: #960199).
  * debian/patches/exif-loader-undefined-behaviour.patch:
    - Prevent undefined behaviour when left-shifting with type 'int'.
  * debian/rules:
    - Use dh_installdocs-indep override instead of dh_installdocs override.
    - Remove embedded jquery.js file after installing documentation.
    - Do not install the upstream ChangeLog.
  * libexif12: Update source paths for documentation files.
  * libexif-dev: Update source paths for documentation files.
  * libexif-doc:
    - Update source paths for documentation files.
    - Install contrib/example source files.
  * Add debian/not-installed file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 15 May 2020 23:23:07 +1000
