=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
-Build-Depends:
-    debhelper (>= 11~),
-    doxygen,
-    graphviz
-Standards-Version: 4.1.3
+Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
+Build-Depends: debhelper-compat (= 13), doxygen, graphviz
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git
@@ -39,7 +37,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}
 Replaces: libexif-dev (<< 0.6.21-3~)
 Breaks: libexif-dev (<< 0.6.21-3~)
 Description: library to parse EXIF files (documentation)
