=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installdocs-indep:
	dh_installdocs -p libexif-doc --doc-main-package=libexif-doc -X.md5

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_installexamples-indep:
	dh_installexamples --doc-main-package=libexif-doc

%:
	dh $@
