## libexif 0.6.23

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends: debhelper-compat (= 13), doxygen, graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
