## libexif 0.6.24

=== debian/changelog ===
libexif (0.6.24-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:11:45 +0100

libexif (0.6.24-1) unstable; urgency=medium

  * New upstream version 0.6.24:
    - Regression in exif_data_load_data fixed; EXIF in JPEG data loads again.
    - Many Canon tag names decoded.
    - "Persistent" AFL fuzzer added to code samples.
    - Translation updates.
  * debian/copyright: Update for libexif 0.6.24.
  * Install the upstream documentation and examples in libexif-dev but package
    the files in libexif-doc (as preferred by Debian Policy section 12.3).
  * Upstream README and NEWS files are now only installed in libexif-dev.
  * Delete debian/README.source.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 05 Dec 2021 16:28:31 +1100

libexif (0.6.23-1) unstable; urgency=medium

  * New upstream version:
    - Support for more Exif 2.3 tags.
    - Support for Apple iOS MakerNote format.
    - Default GPS IFD table added.
    - EXIF_TAG_SENSITIVITY_TYPE decoder added.
    - Translation updates.
    - Multiple security fixes.
  * debian/control: Raise Standards-Version to 4.6.0 (no changes needed).
  * debian/copyright: Update for libexif 0.6.23.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/patches: Drop all patches. Security fixes included in this version.
  * debian/upstream/metadata: Update ChangeLog URL.
  * debian/watch: Use string substitutions where possible.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 26 Sep 2021 13:28:52 +1000
