=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libexif
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends: debhelper-compat (= 13), doxygen, graphviz
 Standards-Version: 4.6.0
