## libexif 0.6.25

=== contrib/aolserver/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2000 Curtis Galloway
+# SPDX-License-Identifier: MIT
+
 NSHOME   =  /home/aol31
 
 EXIFDIR  = ..
