=== debian/changelog ===
libexif (0.6.25-2) unstable; urgency=medium

  * debian/patches: Add upstream patch to skip the APP3 Marker on load
    (Closes: #1128586).
  * debian/control:
    - Drop Priority and Rules-Requires-Root fields.
    - Raise Standards-Version to 4.7.3 (no changes needed).
    - Use ${source:Synopsis} and ${source:Extended-Description} variables.
  * debian/copyright:
    - Update for 2026.
    - Update FSF addresses and Debian full-text statements.
  * debian/watch: Convert to version 5 format.

 -- Hugh McMaster <hmc@debian.org>  Wed, 25 Feb 2026 21:31:11 +1100

libexif (0.6.25-1) unstable; urgency=medium

  * New upstream version 0.6.25.
  * debian/copyright: Update for libexif 0.6.25.

 -- Hugh McMaster <hmc@debian.org>  Tue, 11 Feb 2025 21:19:04 +1100

libexif (0.6.24-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Use extend-diff-ignore to let double build (source only after full)
    succeed (Closes: #1047330).
  * Run wrap-and-sort -ast.

  [ Hugh McMaster ]
  * debian/control:
    + Update my email address.
    + Raise Standards-Version to 4.7.0 from 4.6.2 (no changes needed).
    + Remove Breaks+Replaces from libexif-doc.
  * debian/copyright:
    + Remove email addresses.
    + Update for 2025.

 -- Hugh McMaster <hmc@debian.org>  Thu, 09 Jan 2025 21:54:36 +1100
