=== debian/control ===
Source: libexif
Section: libs
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Hugh McMaster <hmc@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 doxygen,
 graphviz,
Standards-Version: 4.7.3
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libexif
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libexif.git
Description: library to parse EXIF files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image. The EXIF library
 allows you to parse an EXIF file and read the data from those tags.

Package: libexif12
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libexif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libc6-dev,
 libexif12 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libexif-doc (= ${binary:Version}),
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libexif-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the development documentation.
